%define version 2.5.0
%define release alt1
%define	origname TwistedWords
%setup_python_module twisted-words

Name:           %{packagename}
Version:        0.5.0
Release:        alt1
Summary:        Twisted Words contains Instant Messaging implementations

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Words/0.5/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core

%add_python_req_skip java javax

%description
Twisted is an event-based framework for internet applications.

Twisted Words contains implementations of many Instant Messaging
protocols, including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL),
and some functionality for creating bots, inter-protocol gateways, and
a client application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.

%prep
%setup -q -n %{origname}-%{version}

%build
%__python setup.py build

%install
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%__python setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitelibdir}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*
%{_mandir}/man1/*
%{_bindir}/im

%{python_sitelibdir}/twisted/words/

%{python_sitelibdir}/twisted/plugins/twisted_words.py*

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.5.0-alt1
- new version

* Thu Mar 29 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt1
 - Build for new upstream version
